Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005694 [DCSS] Bug Report minor have not tried 2012-05-22 23:59 2014-03-27 06:15
Reporter absolutego View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.11 ancient branch
Summary 0005694: Reflection reflects bolts of penetration
Description As follows:

You shoot a bolt of penetration.
Donald reflects the bolt of penetration off his glowing shield!
The bolt of penetration pierces through you!
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0018124)
elliptic (developer)
2012-05-23 00:09

I guess the bug here is that shields can block bolts of penetration, not something specific to reflection.
(0018259)
jeffqyzt (reporter)
2012-06-07 16:19

Actually, it would be nice if reflection-brand can keep reflecting penetration missiles; it would make it marginally more useful. It doesn't conflict logically either (it *would* have penetrated through you, but your shield reflected it first...)
(0018319)
elliptic (developer)
2012-06-10 02:17

jeffqyzt: In that case shields of reflection should reflect other penetrating attacks, like bolts of fire... it would certainly improve reflection, but maybe by too much.
(0018321)
ion_frigate (reporter)
2012-06-10 03:01

elliptic: How about making them reflect the bolt, but the player is still affected by it? The thematic explanation would be that even though you reflected the bolt of fire/cold/draining back at the attacker, you were still close enough to be affected by the heat/cold/dark magic. Gameplay-wise, it would make shields of reflection no better defensively, but improve their passive offensive abilities.

- Issue History
Date Modified Username Field Change
2012-05-22 23:59 absolutego New Issue
2012-05-23 00:09 elliptic Note Added: 0018124
2012-06-07 16:19 jeffqyzt Note Added: 0018259
2012-06-10 02:17 elliptic Note Added: 0018319
2012-06-10 03:01 ion_frigate Note Added: 0018321
2014-03-27 06:15 MarvinPA Status new => resolved
2014-03-27 06:15 MarvinPA Fixed in Branch => 0.14 development branch
2014-03-27 06:15 MarvinPA Resolution open => done
2014-03-27 06:15 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker